Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.federation.impl
Class PortletInvokerRegistrationService

    java.lang.Object
      org.jboss.portal.portlet.federation.impl.PortletInvokerRegistrationService

    public class PortletInvokerRegistrationService

extends java.lang.Object

Register any portlet invoker into a federating portlet invoker.

Since:
  2.4
Version:
  $Revision: 5448 $
Author:
  Julien Viet

Constructor Summary
`PortletInvokerRegistrationService()`

Method Summary
`FederatingPortletInvoker` | `getFederatingPortletInvoker()`
`java.lang.String` | `getId()`
`PortletInvoker` | `getPortletInvoker()`
`void` | `setFederatingPortletInvoker(FederatingPortletInvoker federatingPortletInvoker)`
`void` | `setId(java.lang.String id)`
`void` | `setPortletInvoker(PortletInvoker portletInvoker)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletInvokerRegistrationService

    public PortletInvokerRegistrationService()

Method Detail

### getId

    public java.lang.String getId()

### setId

    public void setId(java.lang.String id)

### getPortletInvoker

    public PortletInvoker getPortletInvoker()

### setPortletInvoker

    public void setPortletInvoker(PortletInvoker portletInvoker)

### getFederatingPortletInvoker

    public FederatingPortletInvoker getFederatingPortletInvoker()

### setFederatingPortletInvoker

    public void setFederatingPortletInvoker(FederatingPortletInvoker federatingPortletInvoker)

### start

    public void start()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### stop

    public void stop()
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.